Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD

## api
Class Nes::Core::Video::Output

class Nes::Core::Video::Output

Video output context.

Inner Classes, Typedefs, and Enums
`typedef` | `Nes::Core::Video::Output::LockCallback` Surface lock callback prototype.
`typedef` | `Nes::Core::Video::Output::UnlockCallback` Surface unlock callback prototype.

Field Summary
`static Nes::Core::Video::Output::Locker` | `lockCallback` Surface lock callback manager.
`long` | `pitch` Distance in bytes for each line in the surface memory.
`void*` | `pixels` Pointer to surface memory to be written to.
`static Nes::Core::Video::Output::Unlocker` | `unlockCallback` Surface unlock callback manager.

Constructor Summary
`Output( void* v = 0, long p = 0 )`

Field Detail

### lockCallback

    public static Nes::Core::Video::Output::Locker lockCallback;

  Surface lock callback manager. Static object used for adding the user defined callback.

### pitch

    public long pitch;

  Distance in bytes for each line in the surface memory. Must be equal to or greater than the actual NES screen width. Value is allowed to be negative.

### pixels

    public void* pixels;

  Pointer to surface memory to be written to. Size must be equal to or greater than bitsPerPixel/8 * NES screen width * NES screen height.

### unlockCallback

    public static Nes::Core::Video::Output::Unlocker unlockCallback;

  Surface unlock callback manager. Static object used for adding the user defined callback.

Constructor Detail

### Output

    public Output( void* v = 0, long p = 0 );

Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD